Bug 8280 - не работает на x86_64
: не работает на x86_64
Status: CLOSED WONTFIX
: Sisyphus
(All bugs in Sisyphus/separator)
: unstable
: all Linux
: P2 normal
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2005-10-17 17:18 by
Modified: 2007-04-05 16:24 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2005-10-17 17:18:45
при вызове mklivecd выводит: 
fakeroot: preload library not found, aborting 
 
похоже что в mklive-root для вызова fakeroot, при работе на bi-arch нужно еще 
добавлять /usr/lib64, а может и еще какие.
------- Comment #1 From 2005-10-17 17:23:46 -------
что верно то верно - не работает.

В планах есть заставить его работать. только вот непонятно - когда.
------- Comment #2 From 2005-10-18 16:29:03 -------
Добавил в скрипте mklive-root пути к библиотекам /lib64 и /usr/lib64 - все
заработало 
(libfakeroot лежит в /usr/lib64) 
Появилась проблема: 
/usr/bin/mklive-image: line 105:  5404 Segmentation fault      /sbin/mksquashfs
$ROOT 
$OUTDIR/$OUT 
причем если эту же программу вызывать просто из командной строки - все
нормально 
отрабатывает. Из скрипта - никак :-( 
------- Comment #3 From 2005-10-19 11:36:20 -------
покопался еще - теперь все работает, но, подозреваю, что могут быть какие-то
скрытые баги.  
В скрипте mklive-root, на строке 197: 
           # run mklive-image under faked root 
           
LD_LIBRARY_PATH=$WORKDIR/root.$IDENT/lib64/:$WORKDIR/root.$IDENT/lib/:
$WORKDIR/root.$IDE 
            -i $TMPDIR/permiss.$IDENT \ 
            $SCRIPTDIR/mklive-image -s --component=$COMPONENT $WORKDIR 

убрал прелоад библиотеку 
#           -l /usr/lib64/libfakechroot/libfakechroot.so.0.0.1 \ 
после этого все сработало и даже создался имидж. Надеюсь сегодня получится
протестить. 

------- Comment #4 From 2005-10-19 11:58:20 -------
Это не правильное решение. Самое классное будет - понять на каком именно месте
оно падает (либо через strace либо еще как-то) и зафиксить бибиотеку
fakechroot.
------- Comment #5 From 2006-10-18 11:22:43 -------
WONTFIX и apt-get install spt?
------- Comment #6 From 2007-04-05 16:24:28 -------
и apt-get install spt